## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 7;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm 1.10.0
%bcond_without check

# https://github.com/pierrec/lz4
%global goipath         github.com/pierrec/lz4
Version:                4.1.21

%gometa -L

%global goaltipaths     github.com/pierrec/lz4/v4

%global common_description %{expand:
Package lz4 implements reading and writing lz4 compressed data (a frame), as
specified in
http://fastcompression.blogspot.com/2013/04/lz4-streaming-format-final.html.

This package is compatible with the LZ4 frame format although the block level
compression and decompression functions are exposed and are fully compatible
with the LZ4 block format definition, they are low level and should not be
used directly.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           golang-github-pierrec-lz4
Release:        %autorelease
Summary:        LZ4 compression and decompression in pure Go

License:        BSD-3-Clause
URL:            %{gourl}
Source:         %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep
%autopatch -p1

%generate_buildrequires
%go_generate_buildrequires

%build
%gobuild -o %{gobuilddir}/bin/golz4c %{goipath}/cmd/lz4c

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
# https://github.com/pierrec/lz4/issues/156
for test in "TestWriterLegacy"\
; do
awk -i inplace '/^func.*'"$test"'\(/ { print; print "\tt.Skip(\"disabled failing test\")"; next}1' $(grep -rl $test)
done
%gocheck
%endif

%files
%license LICENSE
%doc README.md
%{_bindir}/*

%gopkgfiles

%changelog
## START: Generated by rpmautospec
* Fri Jan 17 2025 Fedora Release Engineering <releng@fedoraproject.org> - 4.1.21-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 4.1.21-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sun Feb 11 2024 Maxwell G <maxwell@gtmx.me> - 4.1.21-5
- Rebuild for golang 1.22.0

* Mon Jan 29 2024 Fedora Release Engineering <releng@fedoraproject.org> - 4.1.21-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 4.1.21-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jan 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 4.1.21-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Jan 09 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 4.1.21-1
- Update to 4.1.21 - Closes rhbz#2257337

* Thu Dec 07 2023 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 4.1.19-1
- Update to 4.1.19 - Closes rhbz#2253506

* Sat Jul 29 2023 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 4.1.18-1
- Update to 4.1.18 - Closes rhbz#2125794

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 4.1.16-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 4.1.16-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Sep 10 2022 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 4.1.16-1
- Update to 4.1.16

* Fri Aug 19 2022 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 4.1.14-2
- Rename binary lz4c->golz4c - Closes rhbz#2046212

* Sat Aug 13 2022 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 4.1.14-1
- Update to 4.1.14 - Closes rhbz#1941251

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 4.1.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jul 19 2022 Maxwell G <gotmax@e.email> - 4.1.3-6
- Rebuild for CVE-2022-{1705,32148,30631,30633,28131,30635,30632,30630,1962} in
  golang

* Sat Jun 18 2022 Robert-André Mauchin <zebob.m@gmail.com> - 4.1.3-5
- Rebuilt for CVE-2022-1996, CVE-2022-24675, CVE-2022-28327, CVE-2022-27191,
  CVE-2022-29526, CVE-2022-30629

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 4.1.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 4.1.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 4.1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Jan  5 18:06:48 CET 2021 Robert-André Mauchin <zebob.m@gmail.com> - 4.1.3-1
- Update to 4.1.3
- Close: rhbz#1912532

* Mon Dec 21 10:58:01 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 4.1.2-1
- Update to 4.1.2
- Close: rhbz#1885756

* Thu Sep 17 21:21:55 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 4.0.2-1
- Update to 4.0.2

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sun Feb 16 2020 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 3.2.1-1
- Update to latest version

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Sat Aug 03 19:44:11 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 3.0.1-1
- Release 3.0.1

* Thu Jul 25 00:23:40 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 2.2.4-1
- Release 2.2.4

* Tue Apr 23 20:28:43 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 2.2.3-1
- Release 2.2.3

* Tue Apr 02 21:57:17 CET 2019 Robert-André Mauchin <zebob.m@gmail.com> - 2.1.1-1
- Release 2.1.1 (#1693414)

* Mon Oct 29 2018 Robert-André Mauchin <zebob.m@gmail.com> - 2.1.0-1
- First package for Fedora

## END: Generated by rpmautospec
